Stop serving SVG images to Opera 12
Closed, ResolvedPublic

Description

Proposal: Let's stop serving SVG images to Opera 12.

Rationale

We support it as a Grade A browser (Browser support matrix at mediawiki.org), which means that we should do our best to provide the best possible experience.

In my opinion, the best possible experience involves not giving it any SVGs when possible.

It seems that SVG background-images are apparently immediately rasterized internally by Opera 12, and display pixelized when the user zooms in. <img> elements with SVG or inline <svg> are handled better, but we never use these in MediaWiki.

Implementation

Doing this would involve a one-line addition to the .background-image-svg LESS mixin along the lines of change https://gerrit.wikimedia.org/r/#/c/132927/ (2b8f46c6dfbbe9a66029820f2b524b3aaf8fcddd). Uses in CSS are not worth hunting down, since these are probably the simple cases where it works correctly anyway.

The PNG images will not be embedded, resulting in worse performance :( We could consider inventing a separate mixin and using the two as appropriate, but I doubt anyone would consider this worth it.

Thoughts?

matmarex created this task.Jan 24 2015, 8:41 AM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Low.
matmarex added subscribers: matmarex, thiemowmde, Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2015, 8:41 AM
gerritbot added a subscriber: gerritbot.

Change 190819 had a related patch set uploaded (by Bartosz Dziewoński):
mediawiki.mixins.less: Do not serve SVG to Opera 12 when fallback available

https://gerrit.wikimedia.org/r/190819

Patch-For-Review

Change 190819 merged by jenkins-bot:
mediawiki.mixins.less: Do not serve SVG to Opera 12 when fallback available

https://gerrit.wikimedia.org/r/190819

matmarex closed this task as Resolved.Feb 16 2015, 7:28 PM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: gerritbot.

Change 199127 had a related patch set uploaded (by Bartosz Dziewoński):
ResourceLoaderImageModule: Synchronize CSS with .background-image-svg LESS mixin

https://gerrit.wikimedia.org/r/199127

Change 199127 merged by jenkins-bot:
ResourceLoaderImageModule: Synchronize CSS with .background-image-svg LESS mixin

https://gerrit.wikimedia.org/r/199127

Note in T121517 I'm proposing dropping Opera < 15 support to Grade X, thus removing this work-around.

Restricted Application added a project: Performance-Team. · View Herald TranscriptNov 27 2017, 9:57 PM
Isarra added a subscriber: Isarra.Dec 8 2017, 7:40 PM

Since this being gone means I can't use oldopera for css editing anymore, does anyone know of any extensions for chrome to bring back oldopera-style css editing in the developer tools?

Nevermind, I think I found a new browser.